Skip to main content
POST
/
v1
/
teams
/
fields
Creates a Catalog Field
curl --request POST \
  --url https://api.rootly.com/v1/teams/fields \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "catalog_fields",
    "attributes": {
      "name": "<string>",
      "kind": "text",
      "kind_catalog_id": "<string>",
      "multiple": true,
      "position": 123,
      "required": true,
      "catalog_type": "catalog"
    }
  }
}
'
{
  "data": {
    "id": "<string>",
    "type": "catalog_fields",
    "attributes": {
      "catalog_id": "<string>",
      "name": "<string>",
      "kind": "text",
      "multiple": true,
      "position": 123,
      "created_at": "<string>",
      "updated_at": "<string>",
      "slug": "<string>",
      "kind_catalog_id": "<string>",
      "required": true,
      "catalog_type": "catalog"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/vnd.api+json

A catalog can have a maximum of 50 fields.

data
object
required

Response

catalog_field created ignores wrong catalog_type attribute

data
object
required